#include <api.hpp>
#include <includes.hpp>
int main(int argc, char* argv[]) {
    if (argc != 3) return -1;
    WebSocket* bot = &WebSocket::getInstance(argv[2], GatewayIntents::AllIntents);
    bot->on(GatewayEvents::READY, [](const nlohmann::json&) {
        std::cout << DiscordEndpoints::details::latest << std::endl;
    });
    bot->on(GatewayEvents::MESSAGE_CREATE, [](const Discord<Message, User, Author, Message::Api>& ctx) {
        if (!ctx.get<Author>().isBot) {
            ctx.get<Message>().send("939957962972229634", ctx.get<Message>().pack("content", ctx.get<Author>().avatar));
        }
    });
    bot->start();
    return 0;
}